Subject: Re: bug#31441: 26; doc of functions `(lax-)plist-get'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 21:14:42 +0200

Pip Cet <[email-masked]> writes:

> On Sat, Jul 13, 2019 at 2:44 PM Lars Ingebrigtsen <[email-masked]> wrote:
>> I've now done these things, except that (weirdly enough) lax-plist-get
>> is not like plist-get in all other respects -- plist-get will never
>> signal an error, while lax-plist-get may signal an error if PLIST isn't
>> a valid plist.  *sigh*
>
> How is that weird? `plist-get' might, once in a while, be useful to
> call on potentially malicious data. Fequal isn't, so `lax-plist-get'
> cannot be, either.

The *sigh* was in that lax-plist-get is strict in interpreting PLIST
while plist-get is lax in interpreting PLIST.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no